def build_row(**kwargs):
	"""
	Args:
		Any number of arguments using kwargs key = value format. 
		Key StyleClass is used for adding formatting to the row.
		StyleClass = {classes:value}
	Returns:
    	A python dict with style formatting for perspective tables..

	Raises:
    	KeyError: Raises an exception.
	"""		
	row = {}
	column ={}
	for key,value in kwargs.items():
		if key != "StyleClass":
			column[key]={"value":value}
	row["value"]=column
	style_class = kwargs.get("StyleClass")
	row["style"] = style_class
	return row

def build_row_with_view(**kwargs):
	row = {}
	column ={}
	for key,value in kwargs.items():
		if key != "StyleClass":
			column[key]= value
	row["value"]=column
	style_class = kwargs.get("StyleClass")
	row["style"] = style_class
	return row
